Package net.rubygrapefruit.platform.internal

# Class MutableTerminalSize

java.lang.Object
net.rubygrapefruit.platform.internal.MutableTerminalSize

All Implemented Interfaces:
  `TerminalSize`

public class MutableTerminalSize extends Object implements TerminalSize

## Constructor Summary

Constructors
Constructor
Description
`MutableTerminalSize()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCols()`
Returns the number of character columns in the terminal.
`int`
`getRows()`
Returns the number of character rows in the terminal.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MutableTerminalSize

public MutableTerminalSize()

## Method Details

### getCols

public int getCols()
Description copied from interface: `TerminalSize`
Returns the number of character columns in the terminal.

Specified by:
  `getCols` in interface `TerminalSize`

### getRows

public int getRows()
Description copied from interface: `TerminalSize`
Returns the number of character rows in the terminal.

Specified by:
  `getRows` in interface `TerminalSize`